Attribute VB_Name = "Module1"

' ************************************************************************************
' Quake Live Timer
' bubble_ru (stephan-cia@hotmail.fr) le 04/08/2009
' V. 1.0.0
' ************************************************************************************

Option Explicit

Public Function real_time() As String

    real_time = format_number(Hour(Time), 2) & ":" & format_number(Minute(Time), 2) & ":" & format_number(Second(Time), 2)

End Function

Public Function ReturnSeconds(ByVal strTime As String) As Long

    Dim strHours As String
    Dim strMinutes As String
    Dim strSeconds As String
    Dim arrTime() As String
    Dim temp_value As Long

    arrTime = Split(strTime, ":")

    strHours = arrTime(0)
    strMinutes = arrTime(1)
    strSeconds = arrTime(2)

    temp_value = strHours * 60 * 60
    temp_value = temp_value + strMinutes * 60
    temp_value = temp_value + strSeconds
    
    ReturnSeconds = temp_value

End Function

Public Sub ReturnTime(ByVal lgnSeconds As Long, ByRef the_hours, ByRef the_min, ByRef the_sec)

    Dim intHours As Integer
    Dim intMinutes As Integer
    Dim intSeconds As Integer
    Dim temp_lgnSeconds As Long
    Dim temp_rest As Integer
    
    temp_lgnSeconds = lgnSeconds
    
    temp_rest = temp_lgnSeconds Mod 3600

    intHours = (temp_lgnSeconds - temp_rest) / 3600
    temp_lgnSeconds = temp_lgnSeconds - (intHours * 3600)
    
    temp_rest = temp_lgnSeconds Mod 60

    intMinutes = (temp_lgnSeconds - temp_rest) / 60
    temp_lgnSeconds = temp_lgnSeconds - (intMinutes * 60)
    
    intSeconds = temp_lgnSeconds
    
    '
    the_hours = CStr(format_number(intHours, 2))
    the_min = CStr(format_number(intMinutes, 2))
    the_sec = CStr(format_number(intSeconds, 2))
    '

End Sub

Function format_number(the_numb, number_len)

Dim i
Dim j
Dim temp_resul
    
    i = Trim(CStr(the_numb))
    j = Len(i)
    
    If j < number_len Then
        temp_resul = String(number_len - j, "0") & i
    Else
        temp_resul = i
    End If
    
    format_number = temp_resul

End Function
